// ImageViewerDlg.h : header file
//
//{{AFX_INCLUDES()
#include "imgedit.h"
//}}AFX_INCLUDES

#if !defined(AFX_IMAGEVIEWERDLG_H__88595A3A_56CB_11D4_A00F_080009EE62AA__INCLUDED_)
#define AFX_IMAGEVIEWERDLG_H__88595A3A_56CB_11D4_A00F_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CImageViewerDlg dialog

class CImageViewerDlg : public CDialog
{
// Construction
public:
	CImageViewerDlg(CWnd* pParent = NULL);	// standard constructor

	long m_Left, m_Top, m_Width, m_Height;

// Dialog Data
	//{{AFX_DATA(CImageViewerDlg)
	enum { IDD = IDD_IMAGEVIEWER_DIALOG };
	CImgEdit	m_Image;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImageViewerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CImageViewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OnLoad();
	afx_msg void OnCopy();
	afx_msg void OnPaste();
	afx_msg void OnSelectionRectDrawnImage(long Left, long Top, long Width, long Height);
	afx_msg void OnZoomsel();
	afx_msg void OnZoomnorm();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMAGEVIEWERDLG_H__88595A3A_56CB_11D4_A00F_080009EE62AA__INCLUDED_)
